Subject: Re: bug#13139: 24.3.50; vc-git: Suppress load message

From: Glenn Morris <[email-masked]>
Date: Tue, 11 Dec 2012 12:05:54 -0500

Andreas Schwab wrote:

> Christopher Schmidt <[email-masked]> writes:
>
>> +	* vc/vc-git.el (vc-git-registered): Suppress load message of
>> +	vc-git.
>
> Why only vc-git?

The more obvious question is: why do this at all?
I can only assume "because I found it slightly irritating", which
doesn't seem like a good reason to me. I'd say that the loading message
is a slightly useful diagnostic, eg in case something goes unexpectedly
wrong. It's a once-per-session message, so surely it's easy to ignore if
it bothers you.